package com.bsoft.api.service;

import com.bsoft.api.common.handlers.GlobalExceptionHandler;
import com.bsoft.api.model.respmodel.BlockValue;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.List;
import java.util.Map;
import java.util.concurrent.CountDownLatch;

public interface AsynBlockValuesService {

    static final Logger log = LoggerFactory.getLogger(GlobalExceptionHandler.class);
    void getBlockValues(List<BlockValue> list, Long blockId, String tableName,
                        String whereClause, CountDownLatch latch);

    void getBlockValuesNew(List<BlockValue> list, Long blockId,Map<String,String> dim, CountDownLatch latch);
}
