package com.bsoft.admin.mapper;

import com.bsoft.admin.model.SysUserOrgRs;
import com.bsoft.admin.model.respmodel.SysUserOrgRsList;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface SysUserOrgRsMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(SysUserOrgRs record);

    SysUserOrgRs selectByPrimaryKey(Integer id);

    List<SysUserOrgRs> selectAll();

    int updateByPrimaryKey(SysUserOrgRs record);

    List<SysUserOrgRsList> selectByUser(@Param("userId") Integer userId);

    SysUserOrgRs selectByUserWithOrg(@Param("userId") Long userId,@Param("orgId") Long orgId);

    int deleteByUser(@Param("userId") Long userId);
}